%define major		0
%define libname		%mklibname gvfscommon %{major}
%define oldlibname  %mklibname %name %{major}
%define develname	%mklibname -d %{name}

%define enable_gphoto2	1
%define enable_iphone	1

%define gio_major	0
%define gio_api		2.0
%define giolibname	%mklibname gio %{gio_api} %{gio_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Glib VFS library
Name:		gvfs
Version:	1.14.2
Release:	%mkrel 4
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
#gw from Ubuntu, fix music player detection
# https://bugs.freedesktop.org/show_bug.cgi?id=24500
Patch0:		gvfs-music-player-mimetype.patch
Patch1:		gvfs-1.14.2-automake-1.13.patch
License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.gnome.org/
BuildRequires:	intltool
BuildRequires:	cdda-devel
BuildRequires:	expat-devel
BuildRequires:	pkgconfig(glib-2.0) >= 2.31.0
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(avahi-glib)
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	pkgconfig(smbclient)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(fuse)
BuildRequires:	pkgconfig(openobex)
BuildRequires:	pkgconfig(libsecret-unstable)
BuildRequires:	pkgconfig(libbluray)
BuildRequires:	pkgconfig(libsoup-gnome-2.4) >= 2.26.0
BuildRequires:	pkgconfig(libcdio_paranoia)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(udisks2) >= 1.90
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(bluez) >= 4.0
BuildRequires:	pkgconfig(libsystemd-login)
# (cg) for git version - maybe also for tarballs - dunno.
BuildRequires:	gtk-doc
BuildRequires:	gettext-devel

%if %{enable_gphoto2}
BuildRequires:	pkgconfig(libgphoto2)
%endif

%if %{enable_iphone}
BuildRequires:	pkgconfig(libimobiledevice-1.0) >= 1.1.0
BuildRequires:	pkgconfig(libplist) >= 0.15
%endif

#gw the dbus service depends on the daemon in the library package
Requires:	%{libname} = %{version}-%{release}
Requires:	udisks2
Suggests:	%{name}-fuse
Suggests:	%{name}-smb
Suggests:	%{name}-archive
Suggests:	%{name}-iphone
#Suggests:	%{name}-obexftp

%if %{enable_gphoto2}
Suggests:	%{name}-gphoto2
%endif

Conflicts:  %libname < 1.14.2-3

%description
This is a Virtual File System library based on gio and Glib.

%package -n %{libname}
Group:		System/Libraries
Summary:	Glib VFS library
Requires:	%{name} >= %{version}
Requires(post):		%{giolibname}
Requires(postun):	%{giolibname}

Obsoletes: %oldlibname 
Provides:  %oldlibname = %version-%release

%description -n %{libname}
This is a Virtual File System library based on gio and Glib.

%package -n %{develname}
Group:		Development/C
Summary:	Glib VFS Library - development files
Requires:	%{libname} = %{version}-%{release}
Provides:	libgvfs-devel = %{version}-%{release}

%description -n %{develname}
This is a Virtual File System library based on gio and Glib.

%package fuse
Summary:	FUSE support for gvfs
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	fuse

%description fuse
This package provides support for applications not using gio
to access the gvfs filesystems.

%package smb
Summary:	Windows fileshare support for gvfs
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description smb
This package provides support for reading and writing files on windows
shares (SMB) to applications using gvfs.

%package archive
Summary:	Archiving support for gvfs
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description archive
This package provides support for accessing files inside Zip and Tar archives,
as well as ISO images, to applications using gvfs.

%package obexftp
Summary:	ObexFTP support for gvfs
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	obex-data-server >= 0.3.4-6

%description obexftp
This package provides support for reading files on Bluetooth mobile phones
and devices through ObexFTP to applications using gvfs.

%package gphoto2
Summary:	gphoto2 support for gvfs
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description gphoto2
This package provides support for reading and writing files on
PTP based cameras (Picture Transfer Protocol) and MTP based
media players (Media Transfer Protocol) to applications using gvfs.

%package iphone
Summary:	iPhone support for gvfs
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description iphone
This package provides support for reading and writing files on
the iPhone and the iPod TouchP to applications using gvfs.

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x \
	--with-dbus-service-dir=%{_datadir}/dbus-1/services \
	--enable-keyring \
%if %{enable_gphoto2}
	--enable-gphoto2
%else
	--disable-gphoto2
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -exec rm -rf {} \;

%find_lang gvfs

%post
# Reload .mount files:
killall -USR1 gvfsd >&/dev/null || :

# Reload .mount files when single subpackage is installed:
%post archive
killall -USR1 gvfsd >&/dev/null || :

%post gphoto2
killall -USR1 gvfsd >&/dev/null || :

%post iphone
killall -USR1 gvfsd >&/dev/null || :

%post obexftp
killall -USR1 gvfsd >&/dev/null || :

%post smb
killall -USR1 gvfsd >&/dev/null || :

%files -f gvfs.lang
%{_bindir}/gvfs-*
%{_datadir}/dbus-1/services/gvfs-daemon.service
%{_datadir}/dbus-1/services/gvfs-metadata.service
%{_datadir}/dbus-1/services/org.gtk.Private.UDisks2VolumeMonitor.service
%dir %{_datadir}/gvfs
%dir %{_datadir}/gvfs/mounts
%{_datadir}/gvfs/mounts/sftp.mount
%{_datadir}/gvfs/mounts/trash.mount
%{_datadir}/gvfs/mounts/cdda.mount
%{_datadir}/gvfs/mounts/computer.mount
%{_datadir}/gvfs/mounts/dav.mount
%{_datadir}/gvfs/mounts/dav+sd.mount
%{_datadir}/gvfs/mounts/http.mount
%{_datadir}/gvfs/mounts/localtest.mount
%{_datadir}/gvfs/mounts/burn.mount
%{_datadir}/gvfs/mounts/dns-sd.mount
%{_datadir}/gvfs/mounts/network.mount
%{_datadir}/gvfs/mounts/ftp.mount
%{_datadir}/gvfs/mounts/recent.mount
%{_datadir}/gvfs/mounts/afp-browse.mount
%{_datadir}/gvfs/mounts/afp.mount
%{_datadir}/bash-completion/completions/gvfs
%dir %{_datadir}/gvfs/remote-volume-monitors
%{_datadir}/gvfs/remote-volume-monitors/udisks2.monitor
%{_datadir}/GConf/gsettings/gvfs-dns-sd.convert
%{_datadir}/glib-2.0/schemas/org.gnome.system.dns_sd.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.system.gvfs.enums.xml

%{_mandir}/man1/gvfs-*
%{_mandir}/man7/gvfs.*
%{_mandir}/man1/gvfsd.*
%{_mandir}/man1/gvfsd-metadata.*

%{_libexecdir}/gvfs-udisks2-volume-monitor
%{_libexecdir}/gvfsd
%{_libexecdir}/gvfsd-ftp
%{_libexecdir}/gvfsd-metadata
%{_libexecdir}/gvfsd-sftp
%{_libexecdir}/gvfsd-trash
%{_libexecdir}/gvfsd-cdda
%{_libexecdir}/gvfsd-computer
%{_libexecdir}/gvfsd-dav
%{_libexecdir}/gvfsd-http
%{_libexecdir}/gvfsd-localtest
%{_libexecdir}/gvfsd-burn
%{_libexecdir}/gvfsd-dnssd
%{_libexecdir}/gvfsd-network
%{_libexecdir}/gvfsd-afp
%{_libexecdir}/gvfsd-afp-browse
%{_libexecdir}/gvfsd-recent

%{_libdir}/gio/modules/libgioremote-volume-monitor.so
%{_libdir}/gio/modules/libgvfsdbus.so



%files -n %{libname}
%{_libdir}/libgvfscommon.so.%{major}*

%files -n %{develname}
%doc NEWS AUTHORS TODO
#ChangeLog
%{_libdir}/lib*.so
%{_includedir}/gvfs-client

%files fuse
%{_libexecdir}/gvfsd-fuse
%{_mandir}/man1/gvfsd-fuse.*

%files smb
%{_libexecdir}/gvfsd-smb
%{_libexecdir}/gvfsd-smb-browse
%{_datadir}/gvfs/mounts/smb-browse.mount
%{_datadir}/gvfs/mounts/smb.mount
%{_datadir}/glib-2.0/schemas/org.gnome.system.smb.gschema.xml
%{_datadir}/GConf/gsettings/gvfs-smb.convert

%files archive
%{_libexecdir}/gvfsd-archive
%{_datadir}/gvfs/mounts/archive.mount

%files obexftp
%{_libexecdir}/gvfsd-obexftp
%{_datadir}/gvfs/mounts/obexftp.mount

%if %{enable_gphoto2}
%files gphoto2
%{_libexecdir}/gvfsd-gphoto2
%{_datadir}/gvfs/mounts/gphoto2.mount
%{_libexecdir}/gvfs-gphoto2-volume-monitor
%{_datadir}/dbus-1/services/org.gtk.Private.GPhoto2VolumeMonitor.service
%{_datadir}/gvfs/remote-volume-monitors/gphoto2.monitor
%endif

%if %{enable_iphone}
%files iphone
%{_libexecdir}/gvfs-afc-volume-monitor
%{_libexecdir}/gvfsd-afc
%{_datadir}/dbus-1/services/org.gtk.Private.AfcVolumeMonitor.service
%{_datadir}/gvfs/mounts/afc.mount
%{_datadir}/gvfs/remote-volume-monitors/afc.monitor
%endif


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.14.2-4.mga3
+ Revision: 353055
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 neoclust <neoclust> 1.14.2-3.mga3
+ Revision: 338317
- Only package versionned libs in lib package
  Rename lib package to follow policy

* Thu Jan 03 2013 fwang <fwang> 1.14.2-2.mga3
+ Revision: 338021
- update file list
- fix build with automake 1.13

* Tue Nov 13 2012 fwang <fwang> 1.14.2-1.mga3
+ Revision: 317328
- new version 1.14.2

* Mon Oct 15 2012 ovitters <ovitters> 1.14.1-1.mga3
+ Revision: 306679
- new version 1.14.1

* Mon Oct 15 2012 blino <blino> 1.14.0-2.mga3
+ Revision: 305720
- suggest gvfs-iphone to get iDevices support in file browsers and applications

* Mon Sep 24 2012 ovitters <ovitters> 1.14.0-1.mga3
+ Revision: 297074
- new version 1.14.0

* Mon Sep 17 2012 ovitters <ovitters> 1.13.9-1.mga3
+ Revision: 295456
- new version 1.13.9

* Tue Sep 04 2012 ovitters <ovitters> 1.13.8-1.mga3
+ Revision: 288170
- update file list
- new version 1.13.8

* Tue Sep 04 2012 ovitters <ovitters> 1.13.7-1.mga3
+ Revision: 288152
- br libsecret-unstable
- new version 1.13.7

* Thu Aug 09 2012 ovitters <ovitters> 1.13.6-2.mga3
+ Revision: 280234
- put man pages in correct subpackages
- update file list
- drop merged gphoto patch
- new version 1.13.6
- new version 1.13.5

* Tue Aug 07 2012 wally <wally> 1.13.4-3.mga3
+ Revision: 279863
- rebuild for new libimobiledevice

* Sun Aug 05 2012 fwang <fwang> 1.13.4-2.mga3
+ Revision: 278939
- add fedora patch to build with latest gphooto
- rebuild for new gphoto

* Wed Aug 01 2012 fwang <fwang> 1.13.4-1.mga3
+ Revision: 277127
- update file list
- update file list

  + ovitters <ovitters>
    - new version 1.13.4

* Thu Jul 19 2012 fwang <fwang> 1.13.3-1.mga3
+ Revision: 272509
- update file list
- update file list
- new version 1.13.3

* Fri Jun 29 2012 colin <colin> 1.13.2-2.mga3
+ Revision: 264990
- Add systemd-login support
- Rebuild against new libudev major

* Tue Jun 26 2012 ovitters <ovitters> 1.13.2-1.mga3
+ Revision: 264069
- drop custom bash completion
- update file list
- clean spec
- new version 1.13.2

* Tue May 15 2012 ovitters <ovitters> 1.12.3-1.mga3
+ Revision: 235722
- new version 1.12.3
- new version 1.12.2

* Mon Apr 16 2012 ovitters <ovitters> 1.12.1-1.mga2
+ Revision: 231092
- new version 1.12.1

* Mon Mar 26 2012 ovitters <ovitters> 1.12.0-1.mga2
+ Revision: 226719
- new version 1.12.0

* Mon Mar 19 2012 ovitters <ovitters> 1.11.5-1.mga2
+ Revision: 224403
- new version 1.11.5

* Sat Feb 25 2012 fwang <fwang> 1.11.4-1.mga2
+ Revision: 214299
- new version 1.11.4

* Wed Feb 01 2012 colin <colin> 1.11.3-0.20120131.2.mga2
+ Revision: 203867
- Require udisks2

* Tue Jan 31 2012 colin <colin> 1.11.3-0.20120131.1.mga2
+ Revision: 203643
- autogen.sh needs gettext-devel
- Switch to git snapshot to enable udisk2 backend (needed due to gnome-disk-utility update)
- Require gtk-doc (needed for autogen)
- Do not include ChangeLog as it's not in git snapshot

* Fri Jan 27 2012 fwang <fwang> 1.11.2-3.mga2
+ Revision: 202141
- rebuild for new bluray

* Sun Jan 22 2012 fwang <fwang> 1.11.2-2.mga2
+ Revision: 199700
- fix br for obexftp
- update file list
- disable gdu and hal, enable udisks2

* Wed Jan 18 2012 wally <wally> 1.11.2-1.mga2
+ Revision: 197919
- new version 1.11.2

* Wed Jan 04 2012 fwang <fwang> 1.11.1-2.mga2
+ Revision: 190652
- rebuild for new libarchive

* Mon Dec 19 2011 wally <wally> 1.11.1-1.mga2
+ Revision: 184537
- new version 1.11.1

* Fri Oct 28 2011 fwang <fwang> 1.11.0-1.mga2
+ Revision: 159085
- new version 1.11.0
- rebuild for new libcdio

* Mon Oct 17 2011 wally <wally> 1.10.1-1.mga2
+ Revision: 155765
- new version 1.10.1

* Mon Sep 26 2011 fwang <fwang> 1.10.0-1.mga2
+ Revision: 148740
- rediff musicplayer patch
- new version 1.10.0

* Tue Sep 06 2011 fwang <fwang> 1.9.5-1.mga2
+ Revision: 139034
- new version 1.9.5

* Mon Aug 29 2011 fwang <fwang> 1.9.4-1.mga2
+ Revision: 136200
- update file list
- new version 1.9.4

  + wally <wally>
    - new version 1.9.3
    - new version 1.9.2
    - clean BRs and use pkgconfig style if possible

* Sun Jul 10 2011 wally <wally> 1.9.1-1.mga2
+ Revision: 121702
- new version 1.9.1
- clean .spec a bit

* Sun Jun 12 2011 dmorgan <dmorgan> 1.8.2-2.mga2
+ Revision: 105190
- Reuse our bash-completion ( see comment on the spec file)
- Use upstream bash completion
- Fix %%postun for smb
- Fix file list
- Remove useless configure switch
- New version 1.8.2

* Fri May 06 2011 ahmad <ahmad> 1.6.7-2.mga1
+ Revision: 95229
- Drop gio-querymodules* post/postun scriptlets, already handled by rpm filetriggers
- Add %%post to the main package to reload .mount files (Fedora)
- Add %%post to the sub-packages to reload .mount files when single sub-package
  are installed (Fedora)

* Fri Apr 08 2011 ahmad <ahmad> 1.6.7-1.mga1
+ Revision: 82024
- revert to the 1.6 branch, this is the branch suitable for GNOME-2.32

  + dmorgan <dmorgan>
    - Rebuild for missing package

* Fri Mar 25 2011 ahmad <ahmad> 1.7.2-3.mga1
+ Revision: 77417
- enable iphone support and push to core/testing (that's where libimobiledevice-1.1.0 exists for now)

* Tue Mar 22 2011 ahmad <ahmad> 1.7.2-2.mga1
+ Revision: 75585
- there's no need to execute glib-compile-schemas manually, there's an rpm filetrigger
  for that purpose

* Tue Mar 22 2011 ahmad <ahmad> 1.7.2-1.mga1
+ Revision: 75562
- add BR sqlite3-devel
- update to 1.7.2
- disable iphone support (it requires imobiledevice >= 1.1.0, which still has
  an unstable API)
- always enable gdu backend
- --enable-gconf isn't a configure option any more
- add 'glib-compile-schemas %%{_datadir}/glib-2.0/schemas' as a postun (and posttrans) script (Fedora)

* Sat Jan 15 2011 blino <blino> 1.6.6-2.mga1
+ Revision: 19174
- remove old version checks
- imported package gvfs

